Bug 247676 - Show search results on map
Summary: Show search results on map
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: some future version
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-13 18:31 UTC by Karl Ove Hufthammer
Modified: 2011-07-10 18:24 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl Ove Hufthammer 2010-08-13 18:31:19 UTC
Version:           unspecified
OS:                Linux

When searching for POIs, for example for ‘ATM, City name’ to find all the ATMs in a city, it would be useful if the search results were shown on the current map view (e.g., as red pins or dots).

Perhaps a check box under the search results saying ‘Display results on map’?

Reproducible: Always




OS: Linux (i686) release 2.6.33.5-desktop-2mnb
Compiler: gcc
Comment 1 Dennis Nienhüser 2010-08-13 22:48:57 UTC
Yes, could/should be the default behavior even without a checkbox, I'd say.
Comment 2 Thibaut Gridel 2011-07-10 18:24:02 UTC
Git commit 1f1903c4c52948f6b861ea27e04c38d8fd30f30d by Thibaut Gridel.
Committed on 10/07/2011 at 19:35.
Pushed by tgridel into branch 'master'.

NavigationWidget: hold a document for search results

This has 3 parts:
* runner manager doesn't return a model but a vector of placemarks
* search results are appended in MarbleModel treeModel
* the placemarks are displayed on the map automatically

BUG: 247676

M  +1    -0    src/lib/MarbleRunnerManager.cpp     
M  +1    -0    src/lib/MarbleRunnerManager.h     
M  +43   -13   src/lib/NavigationWidget.cpp     
M  +2    -1    src/lib/NavigationWidget.h     
M  +2    -1    src/lib/geodata/parser/GeoDataTypes.h     

http://commits.kde.org/marble/1f1903c4c52948f6b861ea27e04c38d8fd30f30d